Package com.independentsoft.office.vml

# Class TextPath

java.lang.Object
com.independentsoft.office.vml.TextPath

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class TextPath extends Object implements IShapeElement, IVmlElement
The Class TextPath.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextPath()`
  Instantiates a new text path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextPath`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getID()`
  Gets the id.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `String`
  `getText()`
  Gets the text.
  `boolean`
  `isDisplay()`
  Checks if is display.
  `boolean`
  `isFitPath()`
  Checks if is fit path.
  `boolean`
  `isFitShape()`
  Checks if is fit shape.
  `boolean`
  `isTrim()`
  Checks if is trim.
  `boolean`
  `isXScaling()`
  Checks if is x scaling.
  `void`
  `setDisplay​(boolean display)`
  Sets the display.
  `void`
  `setFitPath​(boolean fitPath)`
  Sets the fit path.
  `void`
  `setFitShape​(boolean fitShape)`
  Sets the fit shape.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `void`
  `setText​(String text)`
  Sets the text.
  `void`
  `setTrim​(boolean trim)`
  Sets the trim.
  `void`
  `setXScaling​(boolean xScaling)`
  Sets the x scaling.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextPath

    public TextPath()
    Instantiates a new text path.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public TextPath clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isFitPath

    public boolean isFitPath()
    Checks if is fit path.
    Returns:
      true, if is fit path

  - ### setFitPath

    public void setFitPath​(boolean fitPath)
    Sets the fit path.
    Parameters:
      `fitPath` - the new fit path

  - ### isFitShape

    public boolean isFitShape()
    Checks if is fit shape.
    Returns:
      true, if is fit shape

  - ### setFitShape

    public void setFitShape​(boolean fitShape)
    Sets the fit shape.
    Parameters:
      `fitShape` - the new fit shape

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### isDisplay

    public boolean isDisplay()
    Checks if is display.
    Returns:
      true, if is display

  - ### setDisplay

    public void setDisplay​(boolean display)
    Sets the display.
    Parameters:
      `display` - the new display

  - ### getText

    public String getText()
    Gets the text.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Sets the text.
    Parameters:
      `text` - the new text

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### isTrim

    public boolean isTrim()
    Checks if is trim.
    Returns:
      true, if is trim

  - ### setTrim

    public void setTrim​(boolean trim)
    Sets the trim.
    Parameters:
      `trim` - the new trim

  - ### isXScaling

    public boolean isXScaling()
    Checks if is x scaling.
    Returns:
      true, if is x scaling

  - ### setXScaling

    public void setXScaling​(boolean xScaling)
    Sets the x scaling.
    Parameters:
      `xScaling` - the new x scaling